Bug 981966 - LXDE running obenbox fails to open "Applications" menu
LXDE running obenbox fails to open "Applications" menu
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: lxde-common (Show other bugs)
22
i686 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-07 07:14 EDT by Alessandro Selli
Modified: 2016-07-19 15:26 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 15:26:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of error popup (1.40 MB, image/png)
2015-01-28 11:49 EST, Al Schapira
no flags Details
Menu that pops up right-clicking on the desktop (running lxsession and openbox) (9.14 KB, image/png)
2015-02-04 18:37 EST, Alessandro Selli
no flags Details

  None (edit)
Description Alessandro Selli 2013-07-07 07:14:26 EDT
Description of problem:
On a LXDE-Obenbox desktop, after yum upgrade from Fedora-18 to Fedora-19, LXDE starts all right. However, when the user opens the desktop menu clicking on the background with the right mouse button, selecting the "Applications" submenu causes an empty menu to be displayed. At the same time an error window pops up with the following message:

«Failed to execute command for pipe-menu "/usr/share/openbox/xdg-menu lxde-applications": Failed to execute child process "/usr/share/openbox/xdg-menu" (No such file or directory)»


Version-Release number of selected component (if applicable):
lxde-common-0.5.5-0.6.20110328git87c368d7.fc19.noarch

How reproducible:
Always.

Steps to Reproduce:
1. Login into LXDE with Openbox as the WM.
2. Right click on a desktop area to open the LXDE command menu.
3. Select the "Applications ->" submenu

Actual results:
Error window opens with the message:
«Failed to execute command for pipe-menu "/usr/share/openbox/xdg-menu lxde-applications": Failed to execute child process "/usr/share/openbox/xdg-menu" (No such file or directory)»

Expected results:
Applications menu should open.

Additional info:
The defect was corrected applying the following patch to the file /usr/share/lxde/openbox/menu.xml:

--- usr_share_lxde_openbox_menu.xml     2013-07-07 11:36:59.994266978 +0200
+++ /usr/share/lxde/openbox/menu.xml    2013-07-07 12:33:41.741854119 +0200
@@ -2,7 +2,7 @@
 
 <openbox_menu xmlns="http://openbox.org/3.4/menu">
 
-<menu id="apps-menu" label="Applications" execute="/usr/share/openbox/xdg-menu lxde-applications"/>
+<menu id="apps-menu" label="Applications" execute="/usr/libexec/openbox-xdg-menu lxde-applications"/>
 
 <menu id="root-menu" label="LXDE">
   <separator label="LXDE" />
Comment 1 Fedora End Of Life 2015-01-09 13:44:01 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Al Schapira 2015-01-26 14:55:10 EST
Also under fedora 20.
Comment 3 Alessandro Selli 2015-01-28 07:16:20 EST
(In reply to Al Schapira from comment #2)
> Also under fedora 20.

Was it a fresh new installation or was it an upgrade from an older version? And if it was an upgrade, was it performed with yum or with Anaconda from a live CD/DVD?
I remember I too run into this same problem another time, but I forgot to document it and add it's data to this bug report.
In oder to update the Fedora version to this bug I would like to know if the conditions are the same as when I run into the same issue.
Comment 4 Al Schapira 2015-01-28 11:49:53 EST
Created attachment 985228 [details]
screenshot of error popup
Comment 5 Al Schapira 2015-01-28 11:52:13 EST
I installed from fedora-lxde-live CD and updated with yum/yumex.  Running on Dell C840 (old) laptop.  FYI everything runs perfectly EXCEPT MATE.  See my other reported bugs.
Comment 6 Alessandro Selli 2015-01-28 15:05:41 EST
(In reply to Al Schapira from comment #5)
> I installed from fedora-lxde-live CD and updated with yum/yumex.  Running on
> Dell C840 (old) laptop.  FYI everything runs perfectly EXCEPT MATE.  See my
> other reported bugs.

So, yours was a fresh install.
Looks like exactly the same issue, though.
Last two things I'd like to know, before updating this bug to relate to Fedora version 20, is:
1) does the patch detailed in the Description correct the issue?
2) did the issue arise right after installation or only after an Openbox update?

Thank you for reporting about this bug.
Comment 7 Al Schapira 2015-01-28 16:26:19 EST
Answer to 2)  Problem occurs immediately upon booting from fedora-lxde-live-20.1 CD, before installing to disk.

All I did to show the error right away was select "Desktop Preferences" and then select "Advanced" then "Show menus provided by window managers..."

.... Will work on 1) later.
Comment 8 Al Schapira 2015-01-28 16:47:50 EST
Answer to 1)  Yes, the patch fixes the problem.  Thanks.
Comment 9 Alessandro Selli 2015-01-29 07:57:42 EST
Updating bug report to show Fedora20 too is impacted.
Comment 10 Jean-Pierre André 2015-02-02 12:51:30 EST
Two years and a half after the initial report, the bug is still there in Fedora 21, which means that bug reports are not fed into the Q&A process.

Rather than applying a patch, my own way of fixing the issue is to insert a symlink :
ln -s /usr/libexec/openbox-xdg-menu /usr/share/openbox/xdg-menu
Comment 11 Alessandro Selli 2015-02-02 16:10:41 EST
Well, guess what? I just figured out this evening the /usr/share/lxde/openbox/menu.xml file is messed up in Fedora21 also, and in the very same way!

~] $ grep lxde-applications /usr/share/lxde/openbox/menu.xml
<menu id="apps-menu" label="Applications" execute="/usr/share/openbox/xdg-menu lxde-applications"/>
~] $ ls /usr/share/openbox/xdg-menu
ls: cannot access /usr/share/openbox/xdg-menu: No such file or directory

This too has to be corrected into:

<menu id="apps-menu" label="Applications" execute="/usr/libexec/openbox-xdg-menu lxde-applications"/>

However, in Fedora21 I did not experience the same symptoms, perhaps because of a different setup of Obenbox under LXDE.

I will need to investigate, so I am not yet updating this bug report to concern Fedora21.
Comment 12 Alessandro Selli 2015-02-02 16:14:22 EST
(In reply to Jean-Pierre André from comment #10)
> Two years and a half after the initial report, the bug is still there in
> Fedora 21, which means that bug reports are not fed into the Q&A process.
> 
> Rather than applying a patch, my own way of fixing the issue is to insert a
> symlink :
> ln -s /usr/libexec/openbox-xdg-menu /usr/share/openbox/xdg-menu

Right after sending in my last comment, I read yours.
Your solution does have the advantage of preventing updates reinstalling the wrong /usr/share/lxde/openbox/menu.xml file.
However the issue looks trivial, I wonder if anyone noticed this report. Are we the only LXDE/Openbox users?
Comment 13 Alessandro Selli 2015-02-02 16:16:44 EST
(In reply to Alessandro Selli from comment #12)

> Your solution does have the advantage of preventing updates reinstalling the
> wrong /usr/share/lxde/openbox/menu.xml file.
Well, no, actually the wrong xml file will still be installed, but it will prevent the issue from showing up again.
Comment 14 Alessandro Selli 2015-02-02 16:20:37 EST
(In reply to Jean-Pierre André from comment #10)
> Two years and a half after the initial report, the bug is still there in
> Fedora 21, which means that bug reports are not fed into the Q&A process.
> 
> Rather than applying a patch, my own way of fixing the issue is to insert a
> symlink :
> ln -s /usr/libexec/openbox-xdg-menu /usr/share/openbox/xdg-menu

Jean-Pierre, would you please confirm your symlink is actually created?  I am asking because in my Fedora21 install there is no /usr/share/openbox/ directory:

~] $ ls /usr/share/openbox/
ls: cannot access /usr/share/openbox/: No such file or directory

Perhaps you created this directory as well?
Comment 15 Jean-Pierre André 2015-02-03 03:56:12 EST
> Two years and a half after the initial report,
Actually it is only one year and a half so far...

> Perhaps you created this directory as well?
Yes :

[linux@pavilion prof]$ ls -l /usr/share/openbox/xdg-menu
lrwxrwxrwx. 1 root root 29 Jan 27 20:40 /usr/share/openbox/xdg-menu -> /usr/libexec/openbox-xdg-menu
Comment 16 Alessandro Selli 2015-02-04 18:34:06 EST
All right, Fedora21 too is affected by this bug.
Only, when I right click on the desktop, the menu reproduced on the attached image desktop_obenbox_right-click_menu.png (in the Italian localization) is shown on the top-right corner.
To get the Openbox menu like the one in the first report to this bug, I had to:

1) click on "Preferenze della scrivania" (Desktop Preferences);
2) then click on "Avanzate" (Advanced);
3) finally check the box [X] "Mostra i menu forniti dai window manager quando si fa click sulla scrivania" (Show the Window Manager provided menu when right-clicking on the desktop).

At this point, the very same appearance and behaviour is experienced like the one that caused this bug to be opened on Fedora19. The solution is the same, too.
For this reason, I update the bug report to refer to Fedora21.
Comment 17 Alessandro Selli 2015-02-04 18:37:18 EST
Created attachment 988330 [details]
Menu that pops up right-clicking on the desktop (running lxsession and openbox)
Comment 18 Fedora End Of Life 2015-11-04 08:47:30 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 19 Barry 2015-12-01 17:06:50 EST
Problem still present in Fedora 22
Comment 20 Fedora End Of Life 2015-12-01 21:49:23 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 21 Alessandro Selli 2015-12-03 10:48:59 EST
Fedora 22 affected as well. Will soon test F23.
Comment 22 Alessandro Selli 2015-12-25 18:06:43 EST
Bug does not affect Fedora23.
Comment 23 Fedora End Of Life 2016-07-19 15:26:35 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.